
<button class="button btn secondaire pointer btn_right" type="button" onClick="$('.sous_onglet > li >  a:first').trigger('click');">{{ 'Retour' | trad }}</button>


<table class="table table-hover tableForm" id='ligneContactLiv'>
    <thead class="thead-dark">
        <tr>
            <th scope="col">{{ 'Nom' | trad }}</th>
            <th scope="col">{{ 'Fonction' | trad }}</th>
            <th scope="col">{{ 'Téléphone' | trad }}</th>
            <th scope="col">{{ 'Fax' | trad }}</th>
            <th scope="col">{{ 'Portable' | trad }}</th>
            <th scope="col">{{ 'Email' | trad }}</th>
			{% if module == 'CDE' %}<th scope="col">{{ 'Info' | trad }}</th>{% endif %}			
            <th scope="col" width="6%">
				{% if droit.HA_CCTR_CM %}
                    <a class="ajouter_blanc_v2  white-tooltip"  onClick="ajoutLigneContactLiv()" style="float: right;">
                        <span class="infos_tooltip left">
                            {{ 'Ajouter un contact' |trad }}
                        </span>
                    </a>
				{% endif %}
			</th>
        </tr>
    </thead>
    
    {% for ligne in listeContactLiv %}
        {% set index = loop.index %}
        {% include '@GlobalApplication/ModifDaCde/ContactsLivraison/detailContact.twig' %}
    {% endfor %}
</table>

<script>
{% if idTrigger %}
    $('.sous_onglet > li >  a').click(function(){
    
    	if($(this).attr('class')===undefined)
    	{
    		$('#{{ idClose }}').hide();
    		$('#{{ iDivReset }}').html('');
    
    		$('#{{ idTriggerCreation }}').hide();
    		$('#{{ iDivAdd }}').html('');
    	}
    });
    
    $('#{{ idClose }}').click(function(){
    	$('#{{ idTriggerCreation }}').hide();
    	$('#{{ iDivAdd }}').html('');
    });
{% endif %}
{% if dynamique %}
    function ajoutLigneContactLiv(codeAdresse)
    {
    	if(codeAdresse===undefined)
    		codeAdresse = '';
    	
        $.ajax({
          	dataType : 'html',
        	url: '{{ pathAjoutCtc }}',
        	data: {'CODE' : '{{ CODE }}','idClose' : '{{ idClose }}', 'MODIF_CONTACT' : codeAdresse},
        	type: "POST",
        	success: function(result){
            	$('#{{idTriggerCreation}}').show();
            	$('#{{idTriggerCreation}}').find('a').html('{{titre_creation_Onglet}}');
            	$('#{{idTriggerCreation}}').find('a').trigger('click');
        		$('#{{iDivAdd}}').html(addFonctionAjax(result));
            	desactiveLoader();
        	}
        });
    }

    function suppressionContact(type, MODIF_CONTACT_LIV)
    {
        $.ajax({
          	dataType : 'html',
        	url: "{{ path('GlobalApplication.ContactsLivraison.suppressionContact') }}",
        	data: {'CODE' : '{{ CODE }}', 'MODIF_CONTACT_LIV' : MODIF_CONTACT_LIV, 'idClose' : '{{ idClose }}'},
        	type: "POST",
        	success: function(result){
        		$('#contactLiv'+MODIF_CONTACT_LIV).remove();
            	desactiveLoader();
        	}
        });
    }
{% endif %}
</script>